Objenesis update_source script and README

Change-Id: I9482b807679c681c56abb82d19cb4930bd7ca9b1
diff --git a/README.android b/README.android
new file mode 100644
index 0000000..fb87007
--- /dev/null
+++ b/README.android
@@ -0,0 +1,8 @@
+Objenesis is a library which makes it easier to instantiate objects bypassing
+Java's standard constructor mechanism. This is sometimes useful in tests, and
+is used in particular by Mockito.
+
+See https://code.google.com/p/objenesis/
+
+The source code can be updated using the update_source.sh script.
+
diff --git a/update_source.sh b/update_source.sh
new file mode 100755
index 0000000..7831e88
--- /dev/null
+++ b/update_source.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+#
+# Copyright 2013 The Android Open Source Project.
+#
+# Retrieves the current Objenesis source code into the current directory.
+# Does not create a GIT commit.
+
+SOURCE="http://objenesis.googlecode.com/svn/trunk/"
+INCLUDE="
+    LICENSE.txt
+    main
+    tck
+    tck-android
+    "
+
+working_dir="$(mktemp -d)"
+trap "echo \"Removing temporary directory\"; rm -rf $working_dir" EXIT
+
+echo "Fetching Objenesis source into $working_dir"
+svn export -q $SOURCE $working_dir/source
+
+for include in ${INCLUDE}; do
+  echo "Updating $include"
+  rm -rf $include
+  cp -R $working_dir/source/$include .
+done;
+
+echo "Done"
+